Summary:	A python wrapper for the Cairo libraries
Name:		python-cairo
Version:	1.20.0
Release:	%mkrel 1
License:	MPLv1+ or LGPLv2
Group:		Development/Python
URL:		https://pycairo.readthedocs.io/
Source0:	https://github.com/pygobject/pycairo/releases/download/v%{version}/pycairo-%{version}.tar.gz
BuildRequires:	meson
BuildRequires:	pkgconfig(cairo) >= 1.13.1
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)

%description
A set of Python bindings for the cairo graphics library.

%package -n python3-cairo
Summary:	A python3 wrapper for the Cairo libraries
Group:		Development/Python
Provides:	py3cairo = %{version}-%{release}
Provides:	pycairo = %{version}-%{release}

%description -n python3-cairo
A set of Python3 bindings for the cairo graphics library.

%package -n python3-cairo-devel
Summary:	Development files for %{name}
Group:		Development/Python
Requires:	python3-cairo = %{version}-%{release}
Provides:	py3cairo-devel = %{version}-%{release}
Provides:	pycairo-devel = %{version}-%{release}

%description -n python3-cairo-devel
Development files for python3-cairo.

%prep
%autosetup -p1 -n pycairo-%{version}

# drop bundled egg-info
rm -rf *.egg-info

sed -i -e 's,\(libdir.*\)"lib",\1"%{_lib}",g' setup.py

%build
%py3_build

%install
%py3_install

%files -n python3-cairo
%{python3_sitearch}/cairo/
%{python3_sitearch}/pycairo-%{version}-py%{python3_version}.egg-info

%files -n python3-cairo-devel
%dir %{_includedir}/pycairo/
%{_includedir}/pycairo/py3cairo.h
%{_libdir}/pkgconfig/py3cairo.pc


%changelog
* Wed Dec 30 2020 luigiwalser <luigiwalser> 1.20.0-1.mga8
+ Revision: 1666291
- 1.20.0

* Sat May 02 2020 wally <wally> 1.19.1-1.mga8
+ Revision: 1577696
- new version 1.19.1
- drop python2 support

* Sun Feb 16 2020 wally <wally> 1.17.0-5.mga8
+ Revision: 1532945
- BR python3-setuptools

* Sun Feb 16 2020 umeabot <umeabot> 1.17.0-4.mga8
+ Revision: 1530594
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 tv <tv> 1.17.0-3.mga8
+ Revision: 1437086
- BR python2-devel
- patch 0: fix python 3.8 support

* Sat Jan 05 2019 wally <wally> 1.17.0-2.mga7
+ Revision: 1349487
- rebuild for python3.7

* Sun Dec 30 2018 luigiwalser <luigiwalser> 1.17.0-1.mga7
+ Revision: 1346611
- 1.17.0

* Sun Sep 23 2018 umeabot <umeabot> 1.15.3-4.mga7
+ Revision: 1300450
- Mageia 7 Mass Rebuild

* Tue May 08 2018 tv <tv> 1.15.3-3.mga7
+ Revision: 1227775
- rename python-cairo as python2-cairo

* Sun Nov 05 2017 wally <wally> 1.15.3-2.mga7
+ Revision: 1176036
- new version 1.15.3

* Thu Aug 03 2017 tv <tv> 1.13.2-2.mga7
+ Revision: 1134444
- rebuild for new python

* Tue May 30 2017 wally <wally> 1.13.2-1.mga6
+ Revision: 1105547
- new version 1.13.2
- bump cairo req to 1.12.0

* Fri May 05 2017 wally <wally> 1.13.0-1.mga6
+ Revision: 1099131
- new version 1.13.0
- switch to new fork of pycairo
- update URL, Source and License
- build python3 pkg

* Fri Feb 12 2016 umeabot <umeabot> 1.10.0-16.mga6
+ Revision: 958566
- Mageia 6 Mass Rebuild

* Fri Oct 02 2015 tv <tv> 1.10.0-15.mga6
+ Revision: 885719
- split out python3 package (one source = one SRPM)

* Fri Oct 02 2015 tv <tv> 1.10.0-14.mga6
+ Revision: 885704
- fix __init__.py being in src/ (mga#16845)
  (build like FC + use FC patches instead of our)

* Fri Sep 25 2015 wally <wally> 1.10.0-13.mga6
+ Revision: 883623
- rediff waf patch to fix python3 build

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-12.mga5
+ Revision: 744997
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.10.0-11.mga5
+ Revision: 728114
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-10.mga5
+ Revision: 687911
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.10.0-9.mga5
+ Revision: 629730
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.10.0-8.mga5
+ Revision: 628477
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-7.mga4
+ Revision: 522225
- Mageia 4 Mass Rebuild

* Fri Feb 15 2013 fwang <fwang> 1.10.0-6.mga3
+ Revision: 398520
- do not extract archive vebose

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-5.mga3
+ Revision: 378510
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 philippem <philippem> 1.10.0-4.mga3
+ Revision: 339068
+ rebuild (emptylog)

* Sat Sep 29 2012 fwang <fwang> 1.10.0-3.mga3
+ Revision: 300323
- update libname
- rebuild for new py 3.3

* Tue Jul 03 2012 kamil <kamil> 1.10.0-2.mga3
+ Revision: 267033
- remove waf dependency for python3 build (rpm macros for python3 version of waf are packaged now in waf-python3)

* Tue Jul 03 2012 kamil <kamil> 1.10.0-1.mga3
+ Revision: 267003
- add waf-python3 to BR
- add P1 pycairo-1.10.0-fix-waf-build.patch
- add support for Python 3

* Wed Aug 24 2011 fwang <fwang> 1.10.0-1.mga2
+ Revision: 135091
- fix linkage
- new version 1.10.0

* Sat Apr 16 2011 ahmad <ahmad> 1.8.10-1.mga1
+ Revision: 86810
- update to 1.8.10, using py2cairo tarball
- bump the cairo required version
- provide py2cairo, this is the branch that supports python 2.x

* Mon Jan 17 2011 pterjan <pterjan> 1.8.8-3.mga1
+ Revision: 20670
- Rebuild for python 2.7

* Thu Jan 13 2011 ahmad <ahmad> 1.8.8-2.mga1
+ Revision: 8417
- imported package python-cairo


* Fri Oct 29 2010 Funda Wang <fwang@mandriva.org> 1.8.8-2mdv2011.0
+ Revision: 589933
- rebuild for python 2.7

* Fri Jan 08 2010 Emmanuel Andry <eandry@mandriva.org> 1.8.8-1mdv2010.1
+ Revision: 487780
- New version 1.8.8

* Thu Jun 25 2009 Frederic Crozat <fcrozat@mandriva.com> 1.8.6-1mdv2010.0
+ Revision: 389064
- Remove obsolete buildrequires
- Fix dependencies
- Release 1.8.6

* Sun May 10 2009 Götz Waschk <waschk@mandriva.org> 1.8.4-1mdv2010.0
+ Revision: 374076
- update to new version 1.8.4

* Thu Jan 15 2009 Frederic Crozat <fcrozat@mandriva.com> 1.8.2-1mdv2009.1
+ Revision: 329720
- Release 1.8.2

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 1.4.12-3mdv2009.1
+ Revision: 318656
- rebuild for python 2.6

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.4.12-2mdv2009.0
+ Revision: 225128
- rebuild

* Mon Feb 25 2008 Adam Williamson <awilliamson@mandriva.org> 1.4.12-1mdv2008.1
+ Revision: 174515
- new release 1.4.12

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Fri Oct 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.0-1mdv2008.1
+ Revision: 100383
- new version
- new license policy
- remove patch 2, as it is not needed anymore
- move development files to its own package
- use macros wherever it is possible
- spec file clean


* Wed Dec 06 2006 Götz Waschk <waschk@mandriva.org> 1.2.6-1mdv2007.0
+ Revision: 91720
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-2mdv2007.1
+ Revision: 88002
- Import python-cairo

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-2mdv2007.1
- Rebuild

* Wed Aug 30 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdv2007.0
- fix deps
- drop patch 3
- New release 1.2.2

* Wed Jun 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.6-3mdv2007.0
- patch 3: fix broken symbols (#23226)

* Wed Jun 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.6-2mdv2007.0
- rebuild b/c of broken symbols on x86_64 (thus preventing avahi to rebuild)

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.6-1mdv2007.0
- Release 1.1.6
- Remove patch1 (merged upstream)

* Tue Feb 28 2006 Stefan van der Eijk <stefan@eijk.nu> 1.0.2-2mdk
- BuildRequires: automake1.8

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-1mdk
- Release 1.0.2
- use mkrel
- allow bootstrapping to build pygtk before pycairo

* Sun Oct 09 2005 Tigrux <tigrux@ximian.com> 1.0.0-1mdk
- new version
- modified autoconf.ac to enable pygtk support

* Fri Aug 12 2005 Götz Waschk <waschk@mandriva.org> 0.9.0-1mdk
- new version
- fix URLs

* Sat Jul 09 2005 Tigrux <tigrux@ximian.com> 0.5.1-1mdk
- New release 0.5.1

* Tue May 24 2005 Tigrux <tigrux@ximian.com> 0.5.0-1mdk
- New version 0.5.0
- Patched for compiling with gcc4
- Added /usr/include/pycairo/pycairo.h and /usr/lib64/pkgconfig/pycairo.pc 
  to the spec.
- Added Requires cairo >= 1.2.6 since this version does not work with prior versions.

* Sat May 14 2005 Michael Scherer <misc@mandriva.org> 0.4.0-2mdk
- remove requires on cairo ( autodetected )
- from Tigrux <tigrux@ximian.com>
  - Do not require python = 2.5

* Wed Apr 27 2005 Michael Scherer <misc@mandriva.org> 0.4.0-1mdk
- from Tigrux <tigrux@ximian.com>
  - New version

* Mon Dec 06 2004 Tigrux <tigrux@ximian.com> 0.1.3-1mdk
- New version

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.1-0.20040914.2mdk
- Rebuild for new python

* Sat Sep 18 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.1-0.20040914.1mdk
- from Tigrux <tigrux@ximian.com> : 
	- First RPM for Mandrake

